
Redmine - Feature #4642

Subversion repository creation and user authentication (including repository ACLs) support

2010-01-23 23:21 - percy li

Status: New Start date: 2010-01-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I hope Redmine can natively support to create subversion repositories and to manage subversion user ACLs.

(1) Add a button in the "Repository Setting" page, in order to create a new subversion repository and use it immediately.

(2) Let users in Redmine system be able to authenticate subversion smoothly. (built-in support, not by apache's mod_auth_mysql

etc.)

(3) Manage ACLs (whether a user has permission to read/write a subversion repository) and authenticate logins according to the

ACLs.

History

#1 - 2010-01-24 00:05 - Holger Just

percy li wrote:

(1) Add a button in the "Repository Setting" page, in order to create a new subversion repository and use it immediately.

 There is already a script to generate subversion repositories. Its documented as HowTo Automate repository creation. This script could be fairly easily

integrated into a post-creation hook or a button with a small plugin.

(2) Let users in Redmine system be able to authenticate subversion smoothly. (built-in support, not by apache's mod_auth_mysql etc.)

I don't think that's possible as repositories would have to be served through redmine itself. I think this is

1. out of scope for Redmine

2. hard to achieve regarding the many different deployment strategies

I think the webserver (or whatever system you use for your specific repository needs) is a better place to handle these diverse authentication issues.

(3) Manage ACLs (whether a user has permission to read/write a subversion repository) and authenticate logins according to the ACLs.

 Using Apache modules and the integration features of Redmine.pm (see Repositories access control with apache mod_dav_svn and mod_perl).

There are still some outstanding features like #3712 though. What's so bad about mod_auth_mysql or mod_dbd (see #4640)

#2 - 2011-04-22 14:15 - Etienne Massip

- Category changed from Accounts / authentication to SCM

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/wiki/HowTo_Automate_repository_creation
https://www.redmine.org/projects/redmine/wiki/Repositories_access_control_with_apache_mod_dav_svn_and_mod_perl
https://www.redmine.org/issues/3712
https://www.redmine.org/issues/4640
http://www.tcpdf.org

